Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class AbstractSequenceOutput

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceOutput

All Implemented Interfaces:
  AlignmentEventProvider, CinemaActionProvider

Direct Known Subclasses:
  FileSequenceOutput

public abstract class AbstractSequenceOutput
extends CinemaGuiModule
implements CinemaActionProvider

This class is abstract and will be extended by any sequence output modules. It merely provides the action stuff for the menu system, and describes an abstract method run by the actionPerformed(...) and implemented by the children of this class. Created: Mon Jul 31 22:22:33 2000

Version:
  $Id: AbstractSequenceOutput.java,v 1.5 2001/07/06 11:48:08 lord Exp $
Author:
  Julian Selley

Field Summary
`protected AbstractSequenceParserExceptionHandler` | `eh`

Constructor Summary
`AbstractSequenceOutput()`

Method Summary
`Action[]` | `getActions()`
`String[]` | `getAvailableParsers()`
`ParserExceptionHandler` | `getExceptionHandler()`
`AlignmentOutputParser` | `getParser(String keyOfParser)`
`String` | `getParserDescription(String keyOfParser)`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`void` | `load()` The method called for the load of this module.
`abstract void` | `saveAlignment(SequenceAlignment sa)`
`abstract void` | `saveAlignmentAs(SequenceAlignment sa)`
`void` | `setExceptionHandler(AbstractSequenceParserExceptionHandler exceptionHandler)`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, getVersion, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eh

    protected AbstractSequenceParserExceptionHandler eh

Constructor Detail

### AbstractSequenceOutput

    public AbstractSequenceOutput()

Method Detail

### getAvailableParsers

    public final String[] getAvailableParsers()

### getParser

    public final AlignmentOutputParser getParser(String keyOfParser)

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### getParserDescription

    public final String getParserDescription(String keyOfParser)

### getActions

    public Action[] getActions()

  Specified by:
    `getActions` in interface `CinemaActionProvider`

### saveAlignment

    public abstract void saveAlignment(SequenceAlignment sa)

### saveAlignmentAs

    public abstract void saveAlignmentAs(SequenceAlignment sa)

### setExceptionHandler

    public void setExceptionHandler(AbstractSequenceParserExceptionHandler exceptionHandler)

### getExceptionHandler

    public ParserExceptionHandler getExceptionHandler()

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `CinemaGuiModule`
  Returns:
    the required module identifiers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD